# Create

|             |                                                                |
| ----------- | -------------------------------------------------------------- |
| id          | com.naviga.writer-create-new-article                           |
| description | Create new article in Writer application/modal or in a new tab |

```jsx
import { Plugin, Utility } from '@root'

const MyAwesomeComponent = props => {
    const createNewArticle = Utility.useLazyRef(() => {
        return Plugin.getAction('your-bounded-action-id')
    })
     
    createNewArticle.current()

    /**
        Depending on current settings active in your plugin it will either open a new
        article in a new tab or a modal. If Writer plugin is active in current 
        workspace the new article will open within that plugin.
    */
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.navigaglobal.com/dashboard-writer/5.1.1/developer/develop-with-writer/create.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
